Summary: A set of tools for 3ware based file servers
Name: 3ware-util
Version: 9.5.3
Release: 3.cern
License: Unknown
URL: http://3ware.com
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
ExclusiveArch: i386 i686 x86_64
Packager: Andras.Horvath@cern.ch

%description
Utilities for managing 3ware hardware RAID controllers.

%package cli
Summary: 3-Ware Disk Management Utilities - Command Line Interface
Group: System Environment/Base

%description cli
The 3ware command line management utility, allows you to view status and
version information about your Escalade ATA RAID Controller.
%ifarch i386 i686
Also includes tw_cli-7.7.0 in order to support ancient hardware.
%endif

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man/man8
%ifarch i386 i686
install -m 755 packages/cli/linux/x86/tw_cli %{buildroot}/usr/sbin/tw_cli
#install -m 755 packages/tw_update/linux/x86/tw_update %{buildroot}/usr/sbin/tw_update
install -m 644 packages/cli/linux/x86/tw_cli.8.nroff %{buildroot}/usr/share/man/man8/tw_cli.8
install -m 755 old/tw_cli-7.7.0 %{buildroot}/usr/sbin/tw_cli-7.7.0
%else
install -m 755 packages/cli/linux/x86_64/tw_cli %{buildroot}/usr/sbin/tw_cli
#install -m 755 packages/tw_update/linux/x86_64/tw_update %{buildroot}/usr/sbin/tw_update
install -m 644 packages/cli/linux/x86_64/tw_cli.8.nroff %{buildroot}/usr/share/man/man8/tw_cli.8
%endif

%clean
rm -rf %{buildroot}

%files cli
%defattr(-,root,root)
/usr/sbin/tw_cli
#/usr/sbin/tw_update
%doc /usr/share/man/man8/tw_cli.8.gz
%ifarch i386 i686
/usr/sbin/tw_cli-7.7.0
%endif

%post cli
/usr/sbin/tw_cli show  2>&1 > /dev/null
[ -x /usr/bin/chcon ] && /usr/bin/chcon -u system_u -r object_r -t fixed_disk_device_t /dev/twa* 2>&1 > /dev/null || true

%changelog
* Mon Feb  1 2010  Andras HORVATH <andras.horvath@cern.ch> 9.5.3
- postinst scriptlet fix?

* Tue Jan  5 2010  Andras HORVATH <andras.horvath@cern.ch> 9.5.3-2.cern
- SELinux-related bug fixed by adding postinst scriptlet

* Thu Dec  3 2009  Andras HORVATH <andras.horvath@cern.ch> 9.5.3
- following 3ware's releases

* Thu Jun  4 2009  Andras HORVATH <andras.horvath@cern.ch> 9.5.2-1
- following 3ware's releases

* Tue Oct 28 2008 Andras Horvath <Andras.Horvath@cern.ch> 9.5.1.1-1
- following 3ware's releases

* Tue Sep 02 2008 Andras Horvath <Andras.Horvath@cern.ch> 9.5.1-1
- following 3ware's releases
- updated paths that have changed (again)
- no tw_update; use 'tw_cli /cX update fw=blah.img'

* Fri Mar 30 2007 Andras Horvath <Andras.Horvath@cern.ch> 9.5.0-1
- following 3ware's releases
- updated scripts for new directory structure in archives

* Fri Mar 30 2007 Andras Horvath <Andras.Horvath@cern.ch> 9.4.1.2-1
- following 3ware's releases

* Fri Mar 30 2007 Andras Horvath <Andras.Horvath@cern.ch> 9.4.1-1
- updated to today's latest versions from everything (official support for older cards)
- included tw_update

* Tue Feb  6 2007 Andras Horvath <Andras.Horvath@cern.ch> 9.4.0.1-1
- updated to today's latest versions from everything
- rewrote build method so that .src.rpm already contains the binaries. This allows the .src.rpm to be built on any architecture. Added ExclusiveArch: tag.

* Wed Aug  2 2006 Andras Horvath <Andras.Horvath@cern.ch> 9.3.0.4-1
- rewrote spec file and makefile from scratch: cleaner, nicer, and it's got a man page
- updated to today's latest versions from everything

